# [BETA] List VM templates

```http
GET /compute/v1/tenants/{tenantId}/vm/templates
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListTemplates`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:catalog`

Returns list of available VM templates

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

## Responses

### 200 — OK

Content type: `application/json`

- items (object)
  - `iconUrl` (string)
  - `name` (string)
  - `variants` (array of object)
    - items (object)
      - `id` (string)
      - `version` (string)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
